@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url("https://cdn.jsdelivr.net/gh/orioncactus/pretendard@v1.3.6/dist/web/static/pretendard-dynamic-subset.css");
@import url("https://cdn.jsdelivr.net/gh/orioncactus/pretendard@v1.3.9/dist/web/static/pretendard-jp-dynamic-subset.min.css");

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
	font-family: "Pretendard JP", "Pretendard Variable", Pretendard, -apple-system, BlinkMacSystemFont, system-ui, Roboto, "Helvetica Neue", "Segoe UI", "Apple SD Gothic Neo", "Noto Sans KR", "Malgun Gothic", "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", sans-serif;
	font-feature-settings: "ss05"; /* 한국어 글자 모양 적용 */
}

body {
	width:100%;
	height:100%;	
}

input {
   -webkit-appearance: none;
   -webkit-border-radius: 0;
}

/* 인풋 자동 채우기 */
input:-webkit-autofill {
	-webkit-box-shadow: 0 0 0 1000px transparent inset;
}

input:-webkit-autofill, input:-webkit-autofill:hover, input:-webkit-autofill:focus, input:-webkit-autofill:active {
	transition: background-color 5000s ease-in-out 0s;
}

input:focus{
	border-bottom: 1px solid #000;
}

input.active , select.active{
	border-bottom: 1px solid red;
}

fieldset{
	border: none;
	position:relative;
}

.login-back{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh
}
.login-back.join2 {
	margin: 100px 0 100px;
	align-items: unset;
}
.login-back .login-wrap{
	display: flex;
	flex-direction: column;
	align-items: center;
}

.login-back h1{
	font-size: 34px;
	font-weight:600;
	color: #373757;	
	margin-bottom: 4px;
  	font-family: 'Montserrat', sans-serif;
}

.info-text{
	color: #aaa;
	font-size: 14px;
	font-weight: 400;
  	margin-bottom: 40px;
}

.login-box label span{
	font-size: 12px;
	font-weight: 500;
  	color: #999;
	margin-bottom: 5px;
	cursor: pointer;
	position: relative;
}

.login-box input {
	border: none;
    border-bottom: solid 1px #ddd;
    background-color: #fff;
    padding: 0 10px;
    font-size: 14px;
    width: 100%;
	height: 48px;
    color: #333;
    font-weight: 400;
   	outline: none;
}

.login-box input::placeholder {
	 color: #333;
}

.login-box label:first-child {
	margin-bottom: 5px;
}

.login-box {
	box-shadow: 0 0 8px 0 #eee;
	border: solid 1px #eee;
	background-color: #fff;
	width: 520px;
	padding: 50px 80px 30px;
}

/* 언어 선택 */
.language-box {
	display: flex;
	flex-direction: column;
	gap: 6px;
	margin-bottom: 30px;
}
.language-box label {
	margin-bottom: 0;
}
.language-box ul {
	position: relative;
	display: flex;
	align-items: center;
	justify-content: space-between;
	list-style: none;
	padding: 4px;
	height: 40px;
	background-color: #eff0f6;
	border-radius: 4px;
	overflow: hidden;
}
.language-box ul::before {
	content: "";
	position: absolute;
	top: 4px;
	bottom: 4px;
	left: 4px;
	width: calc((100% - 8px) / var(--count));
	border-radius: 4px;
	background-color: #fff;
	transform: translateX(calc(var(--i) * 100%));
	transition: transform 220ms cubic-bezier(0.2, 0.8, 0.2, 1);
}
.language-box ul li {
	position: relative;
	z-index: 1;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
	height: 100%;
	cursor: pointer;
	padding: 0 10px;
	border-radius: 4px;
	background-color: transparent;
	font-size: 14px;
	color: #4b4d6a;
	user-select: none;
	transition: color 120ms ease;
}
.language-box ul li:hover {
	background-color: rgba(255, 255, 255, 0.2);
	transition: background-color 120ms ease;
}
.language-box ul li.active {
	background-color: #fff;
	color: #333;
}

/* 오류 메세지 */
p.wrong{
	font-size: 12px;
	font-weight: 400;
	color: #d62c2c;
	background-color: #f9f9f9;
	padding: 15px 20px;
	margin-top: 20px;
    line-height: 1.5;
}

/* 아이디 저장 체크박스 */
.chk-box {
	position: relative;
	margin: 10px 0 0;
}

.chk-box label {
	display: inline;
	font-size: 14px;
	font-weight: 400;	
	cursor: pointer;
	color: #333;
	padding-left: 35px;
}

.chk-box .id-save {
	display:none;
}

.chk-box .id-save:checked + label {
	color: #111;
	font-weight: 500;	
}

 input[type="checkbox"] + label:before {
    position: absolute;
    top:-2px;
    left:0;
    display:block;
    content:''; 
    width: 24px;
    height: 24px;
    border: 2px solid #ddd;
    border-radius: 4px;
    transition: all ease-out 200ms;
    white-space: nowrap;
    color: #555;
    box-sizing: border-box;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
        user-select: none;  
} 

input[type="checkbox"] + label:after {
    content: "";
    position: absolute;
    width: 0px;
    height: 5.5px;
    border-left: 2px solid #c4c4c4;
    border-bottom: 2px solid #c4c4c4;
    top: 5px;
    left:10px;
    transform-origin: bottom left;
    transform: rotate(-45deg);
    opacity: 0;
    transition: all ease-out 200ms;
}

input[type="checkbox"]:checked + label:before {
    border: 2px solid #3b3e86;
}

input[type="checkbox"]:checked + label:after {
    opacity: 1;
    width: 16px;
    background: #fff;
    border-left: 3px solid #3b3e86;
    border-bottom: 3px solid #3b3e86;
}

/* 로그인 버튼 */
.btn-login{
	width: 100%;
	height: 48px;
	border-radius: 4px;
	font-size: 16px;
	font-weight: 400;
	color: #fff;
	text-align : center;
	background-color: #4b4d6a;
	transition: all 0.5s ease-out;
	cursor: pointer;
	outline: none;
	border: none;
	margin-top:30px;
}

.btn-login:hover{
	background-color: #eee;
	box-shadow: 400px 0 0 0 rgba(75, 77, 106, 1) inset;
	color: #fff;	
} 

/* 회원가입 텍스트 */
div.join-txt , div.resend-txt{
	color: #333;
	font-size: 12px;
	font-weight: 400;
	text-align: center;	
}
div.join-txt {
	margin-top: 20px;
	font-size: 14px;
}
div.join-txt > span , div.resend-txt > span{
	color: #333;
	font-weight: 600;
	text-decoration: underline;	
	display: inline-block;
	margin-left: 10px;
	cursor: pointer;
}

div.resend-txt > span:last-of-type {
	margin-left:4px;
} 

/* 카피라이터 */
.copy{
	font-size: 10px;
	color: #999;
	font-weight: 400;
	margin-top: 20px;
}
.join2 .copy {
	padding-bottom: 70px;
} 
.copy > span:nth-child(2){
	color: #333;
}

/* 로그인 2차 인증 */
.second-check h2, .join-area h2 , .password-check h2{
	font-size: 20px;
	margin-bottom: 14px;
	font-weight: 400;
	line-height:1.5;
}

.sub-tit {
	font-size: 14px;
	font-weight: 300;
	color: #666;
	margin-bottom: 40px;
	line-height: 1.5;
}

.second-check label span:last-child{
	display: block;
}

/* 국가코드 */
.country-code {
	width: 75px;
	height: 100%;
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: space-between;
	font-size: 14px;
	color: #333;
	cursor: pointer;
}
.country-code:after {
	width: 14px;
	height: 7px;
	display: inline-block;
	content: '';
	background-image: url(/resources/images/common/Icon_selectArrow.svg);
	background-position: center;
	background-repeat: no-repeat;
	background-size: contain;
	padding-right: 5px;
	transform: rotateX(0);
}
.country-code.active:after {
	transform: rotateX(180deg);
}
.country-code.no-after:after {
	content: none;
}
.country-code.disabled {
	pointer-events: none;
	cursor: default;
}
.country-code.disabled:after {
	content: none;
}

.country-code-text {
	padding: 0 10px;
}

.country-code ul {
	display: none;
	position: absolute;
	top: 100%;
	left: 0;
	width: max-content;
	z-index: 1000;
	margin: 0;
	list-style: none;
	border-radius: 4px;
	box-shadow: 0 0 4px 0 rgba(153, 153, 153, 0.5);
	background-color: #fff;
}
.country-code.active ul {
	display: block;
}
.country-code li {
	height: 36px;
	display: flex;
	align-items: center;
	padding: 0 10px;
	font-size: 14px;
	color: #555;
}
.country-code li:hover {
	background-color: #f3f3f3;
}
.country-code li:active {
	background-color: #e6e6e6;
}

.login-box input.mobile-input {
	padding-left: 85px;
}

small.access-btn{
	border-radius: 14px;
	border: solid 1px #ccc;
	background-color: #f3f3f3;
	font-size: 12px;
	font-weight: 400;
	line-height: 28px;
	padding: 0 16px;
	position: absolute;
	top: 0;
	right: 0;
   	cursor: pointer;
    top: 50%;
    transform: translateY(-50%);
    color: #333;		
    display: none;
}

small.access-btn.active{
	display: block
}

#timer{
	position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 0;
    color: #FF4141;
}

/* 신규 비밀번호 */
.password-check h2{
	margin-bottom: 20px;
}

/* 회원가입 신청 - 2 */
/* 회원가입 - 셀렉트 박스 */
.select-box {
    position: relative;
    display: inline-block;
   	width: 100%;
}

.position-area .select-box{
    width: 50%;
}

select {
	width: 100%;
    height: 40px;
    color: #333;
	font-size: 14px;
	font-weight: 400;
	border: none;
    border-bottom: solid 1px #e9e9e9;;
    outline: 0;
    position: relative;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    padding: 7px 20px 10px 10px;
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    outline: none;
}

.icon-arrow {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    z-index: 5;
    width: 10px;
    height: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: url(/resources/images/common/Icon_SelecTrgg.svg) no-repeat center center;
    background-size: contain;
    opacity: .5;
}

label.need::before , .login-box label span.need::before{
    content: '*';
    display: inline-block;
    color: #ff5454;
    font-size: inherit;
    font-weight: inherit;
    vertical-align: inherit;
    width: 8px;
    margin-right:2px;
}

.join-area {
	padding: 50px 80px 30px;
}

.join-area fieldset > div{
	margin-bottom: 30px;
}

.join-area fieldset > div > div{
	position: relative;
	text-align: left;
}

.join-area .resend-txt,
.second-check .resend-txt {
	padding: 10px 0 0 10px;
	text-align: left;
}

.join-area fieldset > div:last-child{
	margin-bottom: 0;
}

.join-area label{
	font-size: 12px;
	font-weight: 300;
	color: #999;
}

.join-area .select-area{
	display: flex;
	gap: 10px;
	margin-top: 5px;
}

.join-area #timer{
	right: 90px;
	font-size: 12px;
}
.login-mobile-logo {
	display:none;
}


/* join1 */
.join-area .office-input-wrap {
	width:100%;
	height:40px;
	margin: 40px auto 17px;
	display: flex;
	gap:8px;
	align-items: center;
}
.join-area .office-input-wrap input {
	 border: solid 1px #e9e9e9;
	 border-radius: 4px;
}
.join-area .office-input-wrap input::placeholder {
	color: #999;
}
.join-area .office-input-wrap .join-hospital {
	width:135px;
	height:100%;
}
.join-area .office-input-wrap .join-office {
	width:120px;
	height:100%;
	margin-left:auto;
}
.office-input-wrap span {
	font-size: 14px;
}
.join-area .join-office-text {
	font-size: 12px;
	color: #999;
	font-weight: 400;
}
.join-area .join-office-text u {
	color: #4b4d6a;
	font-weight: 600;
}

/* 코치마크 */
.coach-mark-overlay {
    width: 100%;
    height: 100%;
    opacity: 0.6;
    background-color: #000;
    position: absolute;
    z-index: 6000;
    top: 0;
    left: 0;
}
.coach-mark.active {
	display: flex;
}
.coach-mark {
    width: 100%;
    height: 100%;
    display: none;
    justify-content: center;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 6001;
}
.coach-wrap {
	display:flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	z-index: 6002;
	width: 520px;
	height: 100%;
	margin-top: 34px;
	padding: 0 81px 0;
}
.coach-wrap .office-input-wrap {
width: 100%;
    height: 40px;
    display: flex;
    gap: 8px;
    align-items: center;
    justify-content: center;
    color: #fff;
    margin: 0 0 17px;
}
.coach-wrap .office-input-wrap .hospital,
.coach-wrap .office-input-wrap .office {
	height:100%;
	border: solid 2px #00c797;
	border-radius: 4px;
	padding:0 10px;
	color:#333;
	background-color: #fff;
	font-size:14px;
	line-height: 40px;
	display: flex;
	align-items: center;
	position: relative;
}
.coach-wrap .office-input-wrap .hospital {
	width: 135px;
}
.coach-wrap .office-input-wrap .office {
	width:120px;
	margin-left: auto;
}
.coach-wrap .office-input-wrap .hospital::before, 
.coach-wrap .office-input-wrap .office::before {
	position:absolute;
	top:-24px;
	left:15px;
	display: block;
	content:'';
	width:22px;
	height:22px;
	background: url(/resources/images/main/Icon_coachArrow.svg) no-repeat center center;
}
.coach-wrap .office-input-wrap .hospital::after,
.coach-wrap .office-input-wrap .office::after {
	position:absolute;
	display: block;
	font-size: 14px;
	color: #00ffc2;
	top: -37px;
    left: 43px;
}
.coach-wrap .office-input-wrap .hospital::after {
	content: var(--hospital-label, '');
}
.coach-wrap .office-input-wrap .office::after {
	content: var(--office-label, '');
}
.coach-wrap .join-office-text {
	font-size: 12px;
	margin-bottom:30px;
	color: #ffff;
	font-weight: 400;
	width: 100%;
}
.coach-wrap .join-office-text u {
	font-weight: 600;
}
.coach-wrap .btn-square {
	width: 320px;
  	height: 48px;
    border-radius: 4px;
    border: solid 1px #fff;
    font-size: 16px;
    color:#fff;
    background-color: transparent;
    cursor: pointer;
} 
.coach-wrap .btn-close {
	width:18px;
	height:18px;
	background: url(/resources/images/main/Icon_closeWhite.svg) no-repeat center center;
	border: none;
	margin-bottom: 160px;
    margin-left: auto;
    margin-right: -65px;
    cursor: pointer;
}

@media (max-width: 767px) {	
	.login-back {
		padding: 0 20px;
	}
	.login-back .login-wrap {
		max-width:480px;
		width:100%;
	}
	.login-box{
		box-shadow: none;
		border:none;
		width:100%;
		padding: 40px 0 0;
	}
	.join-txt {
		display:none;
	}
	.login-mobile-logo {
		display:block;
		width:85px;
		height: 74px;
	}
	.chk-box {
		margin: 20px 0 0 4px;
	}
	.chk-box.active {
		margin: 20px 0 0px 4px;
	}
	.btn-login {
		margin: 30px 0 0 0;
		transition: margin-top 0.5s ease-out;
	}
	p.wrong {
		margin:20px 0;
	}
	.info-text {
		margin-bottom:0px; 
	}
}
